import javax.microedition.lcdui.*;
import javax.microedition.midlet.*;
import javax.microedition.io.*;
import java.io.*;

class MobiiliLiides2 extends Thread implements Runnable{
	String n;
	String p;	
		
	public MobiiliLiides2(String nimi, String punktid){
		n=nimi;
		p=punktid;
		start();
	}
	
	public void run(){
		try{			
			String aadress="http://localhost:8080/examples/servlet/AndmedSisse?nimi="+n+"&punkte="+p+"";
    		InputStream sisse=Connector.openInputStream(aadress);
    		ByteArrayOutputStream baos=new ByteArrayOutputStream();
			int arv=sisse.read();
		    while(arv!=-1){
		      baos.write(arv);
		      arv=sisse.read();
		    }
		    byte[] b=baos.toByteArray();
		    String tekst=new String(b);
		    
		    System.out.println("Õnnitlused, oled ära teeninud "+tekst+" koha!");
		    
		    
		}catch(Exception e){
			System.out.println("Viga[MobiiliLiides]:"+e);
		}
	}
}

